This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254925 - Snapshot merge leaves a forever running task
Snapshot merge leaves a forever running task
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified
: m1
: 3.6.0
Assigned To: Greg Padgett
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 05:09 EDT by Dima Kuznetsov
Modified: 2016-03-10 01:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 11:09:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs from a setup exhibiting the problem (1.32 MB, application/x-gzip)
2015-08-19 05:09 EDT, Dima Kuznetsov
no flags Details
Engine.log (4.63 MB, text/plain)
2015-08-26 10:34 EDT, Christopher Miersma
no flags Details
output of virsh -r, corresponding to the above engine log. (11.58 KB, text/plain)
2015-08-26 10:36 EDT, Christopher Miersma
no flags Details

  None (edit)
Description Dima Kuznetsov 2015-08-19 05:09:51 EDT
Created attachment 1064692 [details]
Logs from a setup exhibiting the problem

Description of problem:
Removing a snapshot of a VM succeeds, but after everything is done, there is still a task in the task list 

Version-Release number of selected component (if applicable):
nightly master engine, nightly master vdsm, from 18.08.15


How reproducible:
100%


Steps to Reproduce:
1. Create VM from template (on NFS)
2. Start VM
3. Create 2 snapshots
4. Delete the first one

Actual results:
Snapshot is deleted, all disks active, task running forever


Expected results:
No task after snapshot is done

Additional info:
Comment 1 Allon Mureinik 2015-08-19 05:18:52 EDT
Greg, this looks awfully familiar... Can you take a look please?
Comment 2 Christopher Miersma 2015-08-21 09:49:20 EDT
I had the same problem in the same version, but with iSCSI storage and a VM that I created from scratch, with only one snapshot. Looking at the libvirt xml with virsh -r revealed that the snapshot was created correctly. When deleting, a block-pull job would run properly and the snapshot would merge. However, after the merge was complete in the libvirt xml, the snapshot disk would be left behind in /dev/<uuid>/, and the task would appear to run forever. In one case, the disk space was freed up, and the snapshot data removed, but the task still ran forever.
Comment 3 Christopher Miersma 2015-08-24 16:39:17 EDT
This does indeed appear to be the same issue that happened in 3.5. I tracked down the files and the code that was added in https://github.com/oVirt/ovirt-engine/commit/209ec823a03dd5838eed3d711fd821d2a1aba9dd is missing from 3.6. The symptoms are the same as bug https://bugzilla.redhat.com/1127464, which is now impacting 3.6.
Comment 4 Christopher Miersma 2015-08-25 10:58:55 EDT
My previous comment was incorrect. The code referenced was a deletion, and this carries through. Please disregard.
Comment 5 Christopher Miersma 2015-08-26 10:34:18 EDT
Created attachment 1067279 [details]
Engine.log

I've uploaded a copy of the engine log where this is happening. In this case, a cleanly rebuilt the cluster. I'm using iSCSI storage.
I was able to take snapshots and delete them with the VM off successfully.
I was also able to live move a disk from one domain to another.
The task only had problems when I tried deleting a snapshot with the VM running. In this case, the snapshot was actually deleted, but the interface task ran on. I will attached output from virsh -r showing the libvirt xml before and after, as well as the log.
Comment 6 Christopher Miersma 2015-08-26 10:36:21 EDT
Created attachment 1067280 [details]
output of virsh -r, corresponding to the above engine log.
Comment 7 Christopher Miersma 2015-08-26 10:47:34 EDT
Note. In the most recent case, rebooting the ovirt-engine server cleared the message in the interface. After having this clear once, I was able to create and delete a snapshot successfully with the VM running.
Comment 9 Yaniv Lavi (Dary) 2015-09-07 11:09:04 EDT
Based on comment #7

Note You need to log in before you can comment on or make changes to this bug.